# delightful fediverse clients [![delightful](https://codeberg.org/teaserbot-labs/delightful/media/branch/main/assets/delightful-badge.png)](https://codeberg.org/teaserbot-labs/delightful)

A curated list of apps, for mobile and desktop, for accessing accounts in the Fediverse network (based on ActivityPub).

## Contents

- [Client apps](#client-apps)
- [Maintainers](#maintainers)
- [Contributors](#contributors)
- [License](#license)

## Client apps

The applications in the table below are listed in alphabetic order. A :ghost: emoji in "License/language" column indicates that the code project has been inactive for over a year, or is officially abandoned.

| Client | Supported Server Software | Supported Platforms | License/Language |
| :--- | :--- | :--- | :--- |
| [**AndStatus**](http://andstatus.org/) | ActivityPub C2S, Pump.io, Mastodon, GNU social | Android | [`Apache-2.0, Kotlin`](https://github.com/andstatus/andstatus) |
| [**B4X**](https://github.com/AnywhereSoftware/B4X-Pleroma) | Mastodon | Android, iOS | [`Apache-2.0, FreeBasic`](https://github.com/AnywhereSoftware/B4X-Pleroma) |
| [**Bitlbee Mastodon**](https://alexschroeder.ch/software/Bitlbee_Mastodon) | Mastodon | Bitlbee/IRC | [`GPL 2.0/LGPL 2.1, C`](https://alexschroeder.ch/software/Bitlbee_Mastodon) :ghost: |
| [**BREXXTODON**](https://github.com/mainframed/BREXXTODON) | Mastodon | REXX/MVS | [`-, REXX`](https://github.com/mainframed/BREXXTODON) |
| [**Brutaldon**](https://gitlab.com/brutaldon/brutaldon) | Mastodon, Pleroma | Web | [`AGPL-3.0, Python`](https://gitlab.com/brutaldon/brutaldon) |
| [**Cuckoo**](https://github.com/NanaMorse/Cuckoo.Plus) | Mastodon | Web | [`MIT, Vue/Typescript`](https://github.com/NanaMorse/Cuckoo.Plus) :ghost: |
| [**Dudu**](https://github.com/duduapp/dudu) | Mastodon | Android, iOS | [`MIT, Dart`](https://github.com/duduapp/dudu) |
| [**DOStodon**](https://github.com/SuperIlu/DOStodon) | Mastodon | MS-DOS, FreeDOS, Win9x | [`MIT, Javascript`](https://github.com/SuperIlu/DOStodon) |
| [**Ebou**](https://terhech.de/ebou/) | Mastodon | Web | [`GPL-3.0, Rust`](https://github.com/terhechte/Ebou) |
| [**feathr**](https://github.com/feathr-space/feathr) | Mastodon | Android, iOS | [`AGPL-3.0, Dart`](https://github.com/feathr-space/feathr) |
| [**Fedi**](https://www.fediapp.com/) | Mastodon, Pleroma | Android, iOS | [`AGPL-3.0, Dart`](https://github.com/Big-Fig/Fediverse.app) :ghost: |
| [**Fedibase**](https://codeberg.org/CPlusPatch/fedibase) | Mastodon, Pleroma, Misskey (experimental) | Web, PWA | [`GPL-3.0, TypeScript`](https://codeberg.org/CPlusPatch/fedibase) |
| [**FediFox Shield**](https://git.pixie.town/f0x/fedifox-shield) | Mastodon | Web | [`CNPLv7, Javascript`](https://git.pixie.town/f0x/fedifox-shield) |
| [**Fedilab**](https://fedilab.app/) | Mastodon, Pleroma, Peertube, GNU Social, Friendica, Pixelfed | Android | [`GPL-3.0, Java`](https://framagit.org/tom79/fedilab) |
| [**Fedilab Lite**](https://codeberg.org/tom79/Fedilab_Lite) | Mastodon, Pleroma, Peertube, GNU Social, Friendica, Pixelfed | Android | [`GPL-3.0, Java`](https://codeberg.org/tom79/Fedilab_Lite) :ghost: |
| [**Fedistar**](https://fedistar.net/) | Mastodon, Pleroma | Web | [`GPL-3.0, Typescript`](https://github.com/h3poteto/fedistar) |
| [**Feditext**](https://github.com/feditext/feditext) | Mastodon, Glitch, GotoSocial, Firefish, Akkoma | iOS | [`GPL-3.0, Swift`](https://github.com/feditext/feditext) |
| [**Friendiqa**](https://git.friendi.ca/lubuwest/Friendiqa) | Friendica | Android, Linux | [`GPL-3.0, QML`](https://git.friendi.ca/lubuwest/Friendiqa) |
| [**Gomphotherium**](https://マリウス.com/gomphotherium-a-command-line-mastodon-client/) | Mastodon | Linux-CLI | [`GPL-3.0, Go`](https://github.com/mrusme/gomphotherium) |
| [**Halcyon**](https://www.halcyon.social/) | Mastodon, Pleroma | Web | [`AGPL-3.0, PHP`](https://notabug.org/halcyon-suite/halcyon) |
| [**Husky**](https://codeberg.org/husky/husky) | Mastodon, Pleroma | Android | [`GPL-3.0, Kotlin`](https://codeberg.org/husky/husky) |
| [**Hyperspace**](https://hyperspace.marquiskurt.net) | Mastodon | Linux, MacOS, Windows, Web | [`NPL-4.0, Typescript`](https://github.com/hyperspacedev/hyperspace) <sup>1</sup> |
| [**IceCubesApp**](https://github.com/Dimillian/IceCubesApp) | Mastodon | iOS | [`Apache-2.0, Swift`](https://github.com/Dimillian/IceCubesApp) |
| [**ikuradon**](https://github.com/potproject/ikuradon) | Mastodon, Misskey, Pleroma | Android, iOS | [`AGPL-3.0, Typescript`](https://github.com/potproject/ikuradon) |
| [**iMast**](https://cinderella-project.github.io/iMast/) | Mastodon | iOS | [`Apache-2.0, Swift`](https://github.com/cinderella-project/iMast) |
| [**Jerboa**](https://github.com/dessalines/jerboa) | Lemmy | Android | [`AGPL-3.0, Kotlin`](https://github.com/dessalines/jerboa) |
| [**Kaiteki**](https://kaiteki.app/) | Misskey, Pleroma, Mastodon | Linux, Web, Windows | [`AGPL-3.0, Dart`](https://github.com/Kaiteki-Fedi/Kaiteki) |
| [**Kimis**](https://github.com/Lakr233/Kimis) | Misskey | iOS, macOS | [`ISC-License, Swift`](https://github.com/Lakr233/Kimis)
| [**Liftoff**](https://github.com/liftoff-app/liftoff) | Lemmy | Android, Linux, Windows | [`GPL-2.0, Dart`](https://github.com/liftoff-app/liftoff) |
| [**lem.el**](https://codeberg.org/martianh/lem.el) | Lemmy | Emacs | [`GPL-3.0, Emacs Lisp`](https://codeberg.org/martianh/lem.el) |
| [**Lemmur**](https://github.com/LemmurOrg/lemmur) | Lemmy | Android, Linux, Windows | [`GPL-2.0, Dart` :ghost: ](https://github.com/LemmurOrg/lemmur) |
| [**lemmyBB**](https://github.com/LemmyNet/lemmyBB) | Lemmy | Web | [`AGPL-3.0, Rust`](https://github.com/LemmyNet/lemmyBB) |
| [**Lemoa**](https://github.com/lemmygtk/lemoa) | Lemmy | Linux | [`GPL-3.0, Rust`](https://github.com/lemmygtk/lemoa) |
| [**Lemonade**](https://github.com/mdwalters/lemonade) | Lemmy | Linux | [`MIT, Python`](https://github.com/mdwalters/lemonade) |
| [**Leomard**](https://github.com/Athlon007/Leomard) | Lemmy | macOS | [`GPL-3.0, Swift`](https://github.com/Athlon007/Leomard) |
| [**loris**](https://git.kittycat.homes/zoe/loris) | GoToSocial, Mastodon | Android, iOS, Linux, MacOS, Windows, Web | [`CNPLv7, Dart`](https://git.kittycat.homes/zoe/loris) <sup>1</sup> |
| [**Lunar**](https://github.com/mani-sh-reddy/Lunar-Lemmy-iOS) | Lemmy | iOS | [`GPL-3.0, Swift`](https://github.com/mani-sh-reddy/Lunar-Lemmy-iOS) |
| [**Macstodon**](https://github.com/smallsco/macstodon) | Mastodon | Classic MacOS | [`MIT, Python`](https://github.com/smallsco/macstodon) |
| [**MastApple//c**](https://www.colino.net/wordpress/archives/2023/03/06/binary-release-of-mastodon-for-the-apple-c/) | Mastodon | Apple //c and e | [`GPL-3.0, C`](https://github.com/colinleroy/a2tools/) |
| [**masto9**](https://git.sr.ht/~julienxx/masto9) | Mastodon, GoToSocial | 9front | [`MIT, C`](https://git.sr.ht/~julienxx/masto9) |
| [**mastodon.el**](https://codeberg.org/martianh/mastodon.el) | Mastodon, Pleroma, GoToSocial | Emacs | [`GPL-3.0, Emacs Lisp`](https://codeberg.org/martianh/mastodon.el) |
| [**Mastodon Android**](https://play.google.com/store/apps/details?id=org.joinmastodon.android) | Mastodon | Android | [`GPL-3.0, Java`](https://github.com/mastodon/mastodon-android) |
| [**Mastodon 3.11 For Workgroups**](https://github.com/meyskens/mastodon-for-workgroups) | Mastodon | Windows 95 and higher | [`Apache-2.0, Visual Basic`](https://github.com/meyskens/mastodon-for-workgroups) |
| [**Mastodon iOS**](https://apps.apple.com/app/mastodon-for-iphone/id1571998974) | Mastodon | iOS | [`GPL-3.0, Swift`](https://github.com/mastodon/mastodon-ios) |
| [**Mastonaut**](https://github.com/chucker/Mastonaut/releases) | Mastodon | macOS | [`GPL-3.0, Swift`](https://github.com/chucker/Mastonaut) |
| [**Mastotron**](https://github.com/quadrismegistus/mastotron) | Mastodon | Linux, MacOS, Windows | [`GPL-3.0, Javascript`](https://github.com/quadrismegistus/mastotron) |
| [**MastoVue++**](https://mastovuepp.kaki87.net/) | Mastodon | Web | [`MIT, Vue`](https://git.kaki87.net/KaKi87/mastovuepp) |
| [**Megalodon**](https://sk22.github.io/megalodon/) | Mastodon | Android | [`GPL-3.0, Java`](https://github.com/sk22/megalodon) |
| [**Megalodon (Rust)**](https://github.com/h3poteto/megalodon-rs) | Mastodon, Pleroma | Android | [`Apache-2.0, Rust`](https://github.com/h3poteto/megalodon-rs) |
| [**Megalodon (Typescript)**](https://github.com/h3poteto/megalodon) | Mastodon, Misskey, Pleroma | Android | [`MIT, Typescript`](https://github.com/h3poteto/megalodon) |
| [**Memmy**](https://github.com/Memmy-App/memmy) | Lemmy | Android, iOS | [`AGPL-3.0, Typescript`](https://github.com/Memmy-App/memmy)|
| [**Metatext**](https://metabolist.org/) | Mastodon | iOS | [`GPL-3.0, Swift`](https://github.com/metabolist/metatext) |
| [**Milktea**](https://github.com/pantasystem/Milktea) | Misskey, Mastodon | Android | [`GPL-3.0, Kotlin`](https://github.com/pantasystem/Milktea) |
| [**Miria**](https://shiosyakeyakini.info/miria_web/index.html) | Misskey | Android, iOS | [`AGPL-3.0, Dart`](https://github.com/shiosyakeyakini-info/miria) |
| [**MissCat**](https://yuiga.dev/misscat/) | Misskey | iOS | [`Apache-2.0, Swift`](https://github.com/YuigaWada/MissCat) |
| [**MissLI**](uboar.github.io/missli/) | Misskey | Web | [`MIT, Svelte`](https://github.com/uboar/missli) |
| [**MissRirica**](https://github.com/fruitriin/missRirica-client) | Misskey | Android, iOS | [`AGPL-3.0, Swift`](https://github.com/fruitriin/missRirica-client) |
| [**Mlem**](https://github.com/mlemgroup/mlem) | Lemmy | iOS | [`GPL-3.0, Swift`](https://github.com/mlemgroup/mlem)|
| [**mobilizon-minimal-frontend**](https://codeberg.org/linos/mobilizon-minimal-frontend) | Mobilizon | Web | [`GPL-3.0, Vue`](https://codeberg.org/linos/mobilizon-minimal-frontend) |
| [**Mousetodon**](https://github.com/cerisara/mousetodon) | Mastodon | Android | [`AGPL-3.0, Java`](https://github.com/cerisara/mousetodon) :ghost: |
| [**Nomad**](https://framagit.org/disroot/AndHub) | Hubzilla | Android | [`GPLv3, Java`](https://framagit.org/disroot/AndHub) :ghost: |
| [**Nemmy**](https://nemmy.app) | Lemmy | Web | [`Custom copyleft license, Typescript`](https://github.com/cr4yfish/nemmy) <sup>1</sup>|
| [**Otter**](https://github.com/apognu/otter) | Funkwhale | Android | [`MIT, Kotlin`](https://github.com/apognu/otter) |
| [**P2Play**](https://personaljournal.ca/p2play) | PeerTube | Android | [`GPL-3.0, Kotlin`](https://gitlab.com/agosto182/p2play) |
| [**Pachli**](https://pachli.app/) | Mastodon | Android | [`GPL-3.0, Kotlin`](https://github.com/pachli/pachli-android) |
| [**Phanpy**](https://github.com/cheeaun/phanpy) | Mastodon | Web | [`MIT, Javascript`](https://github.com/cheeaun/phanpy) |
| [**Pinafore**](https://pinafore.social/) | Mastodon | Web | [`AGPL-3.0, Javascript`](https://github.com/nolanlawson/pinafore) :ghost: |
| [**PSkey**](https://github.com/ibuki2003/pskey/wiki) | Misskey | Android, Web | [`MIT, Typescript`](https://github.com/ibuki2003/pskey) |
| [**PixelDroid**](https://gitlab.shinice.net/pixeldroid/PixelDroid) | Pixelfed | Android | [`GPL-3.0, Kotlin`](https://gitlab.shinice.net/pixeldroid/PixelDroid) |
| [**Relatica**](https://gitlab.com/mysocialportal/relatica) | Friendica | Android, iOS, Linux, MacOS, Windows | [`MPL-2.0, Dart`](https://gitlab.com/mysocialportal/relatica) |
| [**Remmel**](https://github.com/uuttff8/Remmel) | Lemmy | iOS | [`MIT, Swift`](https://github.com/uuttff8/Remmel) |
| [**Resin**](https://github.com/natjms/resin) | Pixelfed | Android, iOS | [`GPL-3.0, Javascript`](https://github.com/natjms/resin) |
| [**Semaphore**](https://github.com/NickColley/semaphore) | Mastodon | Web | [`AGPL-3.0, Javascript`](https://github.com/NickColley/semaphore) :ghost: |
| [**Sengi**](https://nicolasconstant.github.io/sengi/) | Mastodon, Pleroma | Linux, Mac, Web, Windows | [`AGPL-3.0, Typescript`](https://github.com/NicolasConstant/sengi) |
| [**Simplodon**](https://github.com/eobrain/simplodon) | Mastodon | Web | [`EPL-1.0, Javascript`](https://github.com/eobrain/simplodon) |
| [**Slemmy**](https://github.com/diamondburned/slemmy) | Lemmy | Web | [`AGPL-3.0, Svelte`](https://github.com/diamondburned/slemmy)|
| [**TheDesk**](https://thedesk.top/en/) | Mastodon, Misskey | Linux, MacOS, Windows | [`GPL-3.0, Javascript`](https://github.com/cutls/TheDesk) |
| [**Thorium**](https://github.com/sschueller/peertube-android) | PeerTube | Android | [`AGPL-3.0, Kotlin`](https://github.com/sschueller/peertube-android) |
| [**Tinmop**](https://autistici.org/interzona/tinmop.html) | Mastodon, Pleroma | Linux, BSD | [`GPL-3.0+, Common Lisp`](https://autistici.org/interzona/tinmop.html) |
| [**Thunder**](https://github.com/hjiangsu/thunder) | Lemmy | Android, iOS | [`MIT, Dart`](https://github.com/hjiangsu/thunder) |
| [**Tokodon**](https://invent.kde.org/network/tokodon) | Mastodon | KDE Plasma, Plasma Mobile | [`GPL-3.0, C++`](https://invent.kde.org/network/tokodon) |
| [**Toot**](https://github.com/ihabunek/toot) | Mastodon | Linux-CLI | [`GPL-3.0, Python`](https://github.com/ihabunek/toot) |
| [**Tooot**](https://tooot.app/) | Mastodon | Android, iOS | [`GPL-3.0, Typescript`](https://github.com/tooot-app/app) |
| [**Tootle**](https://github.com/bleakgrey/tootle) | Mastodon | Linux | [`GPL-3.0, Vala`](https://github.com/bleakgrey/tootle) :ghost: |
| [**Tuba**](https://tuba.geopjr.dev/) | Mastodon | Linux | [`GPL-3.0, Vala`](https://github.com/GeopJr/Tuba) |
| [**TubeLab**](https://framagit.org/tom79/fedilab-tube) | PeerTube | Android | [`GPL-3.0, Java`](https://framagit.org/tom79/fedilab-tube) |
| [**Twidere**](https://twidere.com/) | Mastodon | Android | [`GPL-3.0, Kotlin`](https://github.com/TwidereProject/Twidere-Android) :ghost: |
| [**Twitlatte**](https://github.com/moko256/twitlatte) | Mastodon | Android | [`Apache-2.0, Kotlin`](https://github.com/moko256/twitlatte) :ghost: |
| [**Tusker**](https://git.shadowfacts.net/shadowfacts/Tusker) | Mastodon, Pleroma | iOS | [`-, Swift`](https://git.shadowfacts.net/shadowfacts/Tusker) <sup>1</sup> |
| [**Tusky**](https://tusky.app/) | Mastodon | Android | [`GPL-3.0, Kotlin`](https://github.com/tuskyapp/Tusky) |
| [**Vernissage**](https://github.com/VernissageApp/Vernissage) | Pixelfed | iOS | [`Apache-2.0, Swift`](https://github.com/VernissageApp/Vernissage) |
| [**vim-mastodon**](https://github.com/mattn/vim-mastodon) | Mastodon | Vim | [`MIT, vim`](https://github.com/mattn/vim-mastodon) |
| [**Voyager**](https://github.com/aeharding/voyager)| Lemmy | Web | [`AGPL-3.0, Typescript`](https://github.com/aeharding/voyager) |
| [**Welcome to my place**](https://github.com/assemblee-virtuelle/welcometomyplace) | ActivityPods | Web | [`Apache-2.0, Javascript`](https://github.com/assemblee-virtuelle/welcometomyplace) |
| [**Whalebird**](https://whalebird.social/en/desktop/contents) | Mastodon, Pleroma, Misskey | Linux, MacOS, Windows | [`MIT, Vue/Typescript`](https://github.com/h3poteto/whalebird-desktop) |
| [**Yuito**](https://github.com/accelforce/yuito) | Mastodon | Android | [`GPL-3.0, Kotlin`](https://github.com/accelforce/yuito) |
| [**Zootdeck**](https://donpdonp.github.io/zootdeck/) | Mastodon, Pleroma | Linux | [`MIT, Zig`](https://github.com/donpdonp/zootdeck) |

<small><sup>1</sup> Not an accepted [OSI](https://opensource.org/licenses) or [FSF](https://www.gnu.org/licenses/license-list.html) approved open-source license.</small>

## Maintainers

If you have questions or feedback regarding this list, then please create an [Issue](https://codeberg.org/fediverse/delightful-fediverse-clients/issues) in our tracker, and optionally `@mention` one or more of our maintainers:

- [`@circlebuilder`](https://codeberg.org/circlebuilder)
- [`@lostinlight`](https://codeberg.org/lostinlight)
- [`@wakest`](https://codeberg.org/wakest)
- [`@wisdomchicken`](https://codeberg.org/wisdomchicken)

## Contributors

With delight we present you some of our [delightful contributors](https://codeberg.org/fediverse/delightful-fediverse-clients/src/branch/main/delightful-contributors.md) (please [add yourself](https://codeberg.org/teaserbot-labs/delightful/src/branch/main/delight-us.md#attribution-of-contributors) if you are missing).

## License

[![CC0 Public domain. This work is free of known copyright restrictions.](https://i.creativecommons.org/p/mark/1.0/88x31.png)](LICENSE)
